MediaWiki:Common.css: различия между версиями

мНет описания правки
Нет описания правки
Строка 3757: Строка 3757:


#personal .dropdown,
#personal .dropdown,
.theme-dropdown .theme-window {
.theme-dropdown .theme-window,
.oo-ui-popupWidget-popup {
top: unset;
top: unset;
user-select: none;
user-select: none;
position: absolute;
position: absolute;
right: -14px;
min-width: 14.5rem;
width: 14.5rem;
background: var(--ooui-bg-color-darkened);
background: var(--ooui-bg-color-darkened);
box-shadow: var(--box-shadow-high);
box-shadow: var(--box-shadow-high);
Строка 3768: Строка 3768:
transition-property: transform, opacity, visibility;
transition-property: transform, opacity, visibility;
z-index: var(--index-high);
z-index: var(--index-high);
margin-top: 0.3rem;
border: 2px solid var(--ooui-bg-color-light);
border: 2px solid var(--ooui-bg-color-light);
border-top: 2px solid var(--ooui-border-color);
border-top: 2px solid var(--ooui-border-color);
Строка 3774: Строка 3773:
padding: 0.2em;
padding: 0.2em;
box-shadow: var(--box-shadow-high), var(--box-shadow-inset);
box-shadow: var(--box-shadow-high), var(--box-shadow-inset);
}
#personal .dropdown,
.theme-dropdown .theme-window {
right: -14px;
margin-top: 0.3rem;
}
}


Строка 3796: Строка 3801:


#personal .dropdown label, #personal .dropdown h3,
#personal .dropdown label, #personal .dropdown h3,
.theme-dropdown .theme-window__header {
.theme-dropdown .theme-window__header,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head {
display: flex;
display: flex;
align-items: center;
align-items: center;
gap: 4px;
gap: 4px;
position: relative;
position: relative;
height: 2rem;
height: 2.2rem;
font-size: var(--font-size-ml);
font-size: var(--font-size-ml);
border-radius: var(--border-radius-low);
border-radius: var(--border-radius-low);
Строка 4088: Строка 4094:
.mw-rcfilters-ui-filterMenuHeaderWidget-header,
.mw-rcfilters-ui-filterMenuHeaderWidget-header,
#mw-scribunto-input,
#mw-scribunto-input,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head,
.growthexperiments-mentor-dashboard-container .growthexperiments-mentor-dashboard-module-mentor-tools .growthexperiments-mentor-dashboard-module-mentor-tools-other-actions,
.growthexperiments-mentor-dashboard-container .growthexperiments-mentor-dashboard-module-mentor-tools .growthexperiments-mentor-dashboard-module-mentor-tools-other-actions,
.growthexperiments-mentor-dashboard-module-mentee-overview .growthexperiments-mentor-dashboard-module-mentee-overview-recent-by-mentees,
.growthexperiments-mentor-dashboard-module-mentee-overview .growthexperiments-mentor-dashboard-module-mentee-overview-recent-by-mentees,
Строка 4138: Строка 4143:
.vector-user-links .vector-user-menu-more .vector-menu-content-list li a,
.vector-user-links .vector-user-menu-more .vector-menu-content-list li a,
.mw-notification,
.mw-notification,
.oo-ui-popupWidget-popup,
.ui-widget-header,
.ui-widget-header,
.ui-widget-content,
.ui-widget-content,
Строка 4418: Строка 4422:
.wikiEditor-ui .wikiEditor-ui-view,
.wikiEditor-ui .wikiEditor-ui-view,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled.oo-ui-tagMultiselectWidget-inlined:hover .oo-ui-tagMultiselectWidget-handle,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled.oo-ui-tagMultiselectWidget-inlined:hover .oo-ui-tagMultiselectWidget-handle,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer .mw-echo-ui-notificationBadgeButtonPopupWidget-footer-buttons .oo-ui-buttonElement:last-child,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer .mw-echo-ui-notificationBadgeButtonPopupWidget-footer-buttons .oo-ui-buttonElement:last-child,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer,
Строка 4450: Строка 4453:
.oo-ui-dropdownWidget.oo-ui-widget-disabled .oo-ui-dropdownWidget-handle,
.oo-ui-dropdownWidget.oo-ui-widget-disabled .oo-ui-dropdownWidget-handle,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled .oo-ui-tagMultiselectWidget-handle,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled .oo-ui-tagMultiselectWidget-handle,
.oo-ui-popupWidget-popup,
.oo-ui-textInputWidget .oo-ui-inputWidget-input,
.oo-ui-textInputWidget .oo-ui-inputWidget-input,
.oo-ui-windowManager-modal:not(.oo-ui-windowManager-size-full) > .oo-ui-dialog > .oo-ui-window-frame,
.oo-ui-windowManager-modal:not(.oo-ui-windowManager-size-full) > .oo-ui-dialog > .oo-ui-window-frame,
Строка 4872: Строка 4874:
.ace_search_field,
.ace_search_field,
#pagehistory li.selected,
#pagehistory li.selected,
.oo-ui-popupWidget-popup,
.oo-ui-menuOptionWidget.oo-ui-widget-enabled.oo-ui-optionWidget,
.oo-ui-menuOptionWidget.oo-ui-widget-enabled.oo-ui-optionWidget,
.mw-rcfilters-ui-itemMenuOptionWidget-label-title,
.mw-rcfilters-ui-itemMenuOptionWidget-label-title,